@echo off
set cutb=arj
set cutk=off
if exist %2.%cutb% set cutk=%cutb%
set cutb=
if %cutk%==off goto err
cut /%1 %2.%cutk%
echo.:l>cutset.bat
echo.if not exist %2.%%1 goto a>>cutset.bat
echo.set cuta=%%cuta%%+%2.%%1>>cutset.bat
echo.if %%cut%%==%%1 goto b>>cutset.bat
echo.shift>>cutset.bat
echo.goto l>>cutset.bat
echo.:a>>cutset.bat
echo.set cut=dele>>cutset.bat
echo.:b>>cutset.bat
echo.echo off>%2.bat
set cuta=%2.001
set cut=006
call cutset 002 003 004 005 006 
:loop
echo.copy /b %cuta% %2.%cutk%>>%2.bat
set cuta=%2.%cutk%
goto %cut%
:006
set cut=011
call cutset 007 008 009 010 011
goto loop
:011
set cut=016
call cutset 012 013 014 015 016
goto loop
:016
set cut=021
call cutset 017 018 019 020 021
goto loop
:021
set cut=026
call cutset 022 023 024 025 026
goto loop
:026
set cut=031
call cutset 027 028 029 030 031
goto loop
:err
echo.
echo.Error! Cannot open file!
goto end
:031
:dele
echo.del %2.0??>>%2.bat
del cutset.bat
:end
set cutk=
set cuta=
set cut=
